Foreman-Proxy: Add settings for new PuppetCA providers

06/20/2018 08:55 AM - Julian Todt

Status: Closed   

Priority: Normal   

Assignee: Julian Todt   

Category: Foreman modules   

Target version: 1.20.0   

Difficulty:  Fixed in Releases: 1.20.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy/pull/433,

https://github.com/theforeman/puppet-for

eman_proxy/pull/435

  

Description

As we are adding new providers to the PuppetCa SmartProxy module, we need to add its settings-file to the puppet module and add

the settings as params to have them configurable.

Associated revisions

Revision 210c5ad1 - 06/26/2018 09:31 AM - Julian Todt

Refs #24012 - Add PuppetCA providers settings

Revision 2677d2ed - 08/29/2018 04:58 PM - Julian Todt

Fixes #24012 - Add PuppetCA providers settings

History

#1 - 06/20/2018 09:52 AM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/433 added

#2 - 06/25/2018 01:22 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/434 added

#3 - 06/25/2018 08:02 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/435 added

#4 - 08/23/2018 11:00 AM - Ewoud Kohl van Wijngaarden

- Pull request deleted (https://github.com/theforeman/puppet-foreman_proxy/pull/434)

#5 - 08/29/2018 05:01 PM - Julian Todt

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy|2677d2edd51e06b8f7b19d915e0371d23e1a7357.

#6 - 08/29/2018 05:10 PM - Ewoud Kohl van Wijngaarden

- Target version set to 1.20.0

- Fixed in Releases 1.20.0 added
